# -*- coding:utf-8 -*-
import flag
import kafka_consume

brokers_flag = flag.string("brokers", "", "REQUIRED: The comma separated list of brokers in the Kafka cluster")
topic_flag = flag.string("topic", "", "REQUIRED: the topic to consume")
group_flag = flag.string("group", "", "REQUIRED: the consumer group")
user_flag = flag.string("user", "", "the user name")
password_flag = flag.string("password", "", "the password")
trans2sql_flag = flag.int("trans2sql", 0, "trans message to sql or not")

if __name__ == "__main__":
    flag.parse()

    brokers = brokers_flag.split(",")
    topic = topic_flag.val()
    group = group_flag.val()
    user = user_flag.val()
    password = password_flag.val()
    trans2sql = bool(trans2sql_flag.val())

    print(
        "start to consume, brokers:{}, topic:{}, group:{}, user:{}, password:***, tran2sql:{}".format(
            brokers, topic, group, user, trans2sql)
    )

    kafka_consume.tdsql_block_consume(brokers, topic, group, user, password, trans2sql)
